curl --request PUT \
--url https://api.chargecloud.dev/api/v1/crm/contracts/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ext_contract_id": "<string>",
"external_id": "<string>",
"customer_group_id": 123,
"account_id": 123,
"campaign_id": 123,
"business": false,
"company_name": "<string>",
"salutation": 123,
"firstname": "<string>",
"surname": "<string>",
"street": "<string>",
"house_number": "<string>",
"zip": "<string>",
"city": "<string>",
"country_id": 123,
"phone": "<string>",
"fax": "<string>",
"email": "<string>",
"reference_field_1": "<string>",
"reference_field_2": "<string>",
"billing_company": "<string>",
"billing_salutation": 123,
"billing_title": "<string>",
"billing_firstname": "<string>",
"billing_surname": "<string>",
"billing_street": "<string>",
"billing_house_number": "<string>",
"billing_zip": "<string>",
"billing_city": "<string>",
"billing_country_id": 123,
"billing_email": "<string>",
"billing_phone": "<string>",
"billing_fax": "<string>",
"disabled": false,
"auth_enabled": false,
"auth_username": "<string>",
"is_employer": false,
"payment_method_id": 123,
"attributes": "<string>"
}
'import requests
url = "https://api.chargecloud.dev/api/v1/crm/contracts/{uuid}"
payload = {
"ext_contract_id": "<string>",
"external_id": "<string>",
"customer_group_id": 123,
"account_id": 123,
"campaign_id": 123,
"business": False,
"company_name": "<string>",
"salutation": 123,
"firstname": "<string>",
"surname": "<string>",
"street": "<string>",
"house_number": "<string>",
"zip": "<string>",
"city": "<string>",
"country_id": 123,
"phone": "<string>",
"fax": "<string>",
"email": "<string>",
"reference_field_1": "<string>",
"reference_field_2": "<string>",
"billing_company": "<string>",
"billing_salutation": 123,
"billing_title": "<string>",
"billing_firstname": "<string>",
"billing_surname": "<string>",
"billing_street": "<string>",
"billing_house_number": "<string>",
"billing_zip": "<string>",
"billing_city": "<string>",
"billing_country_id": 123,
"billing_email": "<string>",
"billing_phone": "<string>",
"billing_fax": "<string>",
"disabled": False,
"auth_enabled": False,
"auth_username": "<string>",
"is_employer": False,
"payment_method_id": 123,
"attributes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ext_contract_id: '<string>',
external_id: '<string>',
customer_group_id: 123,
account_id: 123,
campaign_id: 123,
business: false,
company_name: '<string>',
salutation: 123,
firstname: '<string>',
surname: '<string>',
street: '<string>',
house_number: '<string>',
zip: '<string>',
city: '<string>',
country_id: 123,
phone: '<string>',
fax: '<string>',
email: '<string>',
reference_field_1: '<string>',
reference_field_2: '<string>',
billing_company: '<string>',
billing_salutation: 123,
billing_title: '<string>',
billing_firstname: '<string>',
billing_surname: '<string>',
billing_street: '<string>',
billing_house_number: '<string>',
billing_zip: '<string>',
billing_city: '<string>',
billing_country_id: 123,
billing_email: '<string>',
billing_phone: '<string>',
billing_fax: '<string>',
disabled: false,
auth_enabled: false,
auth_username: '<string>',
is_employer: false,
payment_method_id: 123,
attributes: '<string>'
})
};
fetch('https://api.chargecloud.dev/api/v1/crm/contracts/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contract": {
"id": 123,
"uuid": "<string>",
"business": false,
"firstname": "<string>",
"surname": "<string>",
"is_locked": false,
"blocked": false,
"disabled": false,
"usage": 123,
"zip": "<string>",
"city": "<string>",
"customer_number": "<string>",
"company_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"cancelled_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
{
"errorKey": "<string>",
"message": "<string>",
"parameter": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Updates a contract
Updates a contract. Required permission: crm:contract:update
Authorizations
OAuth2 Bearer Authorization
Path Parameters
Contract UUID
36Body
Updates a contract. Required permission: crm:contract:update
External contract id
50External customer id
15Customer group id
Account id
Campaign id
Energy type
electricity, gas Is business customer
Company name
255Salutation
Firstname
70Surname
70Street
255House number
16ZIP
16City
128Country id
Phone
255Fax
255255Reference field 1
255Reference field 2
255Billing company
255Billing salutation
Billing title
70Billing firstname
70Billing surname
70Billing street
255Billing house number
16Billing ZIP
16Billing city
128Billing country id
Billing email
128Billing phone
128Billing fax
128Disabled
App login enabled
App login username
255Is employer contract
Payment method ID
JSON-encoded key-value pairs of attribute identifiers and values
Response
Edited contract
Contract
Show child attributes
Show child attributes
Was this page helpful?